import * as React from 'react';
/**
 * CSS Fetching Status
 * @enum
 */
export declare enum CSSFetchState {
    Loading = 0,
    Success = 1,
    Error = 2
}
/**
 * CSS Map Type
 */
export declare type CSSMap = Map<string, CSSFetchState>;
/**
 * CSS Context interface
 */
export interface CSSContext {
    cssMap: CSSMap;
    multiUpdate(hrefs: string[]): void;
    update(href: string): void;
}
/**
 * CSS Context
 */
export declare const Provider: React.ComponentType<React.ProviderProps<CSSContext>>, Consumer: React.ComponentType<React.ConsumerProps<CSSContext>>;
