"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
/**
 * CSS-Map to HTMLLinkElement string.
 * @param {CSSMap} cssMap
 * @return {string}
 */
function toTagString(cssMap) {
    let tagString = '';
    for (const [href] of cssMap) {
        if (href) {
            tagString += `<link href="${href}" rel="stylesheet" data-react-css-context="true"/>`;
        }
    }
    return tagString;
}
exports.toTagString = toTagString;
/**
 * CSS-Map to ReactElement.
 * @param {CSSMap} cssMap
 * @return {any}
 */
function toTagComponent(cssMap) {
    const hrefs = [];
    for (const [href] of cssMap) {
        if (href) {
            hrefs.push(href);
        }
    }
    return (React.createElement(React.Fragment, null, hrefs.map((href) => (React.createElement("link", { key: href, href: href, rel: "stylesheet", "data-react-css-context": true })))));
}
exports.toTagComponent = toTagComponent;
//# sourceMappingURL=toTag.js.map